php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #22944 Java - "make install" fails after "installing php SAPI"
Submitted: 2003-03-28 17:58 UTC Modified: 2003-04-04 11:43 UTC
Votes:2
Avg. Score:4.0 ± 0.0
Reproduced:2 of 2 (100.0%)
Same Version:0 (0.0%)
Same OS:0 (0.0%)
From: dubious at 2xtreme dot net Assigned:
Status: Closed Package: Java related
PHP Version: 4.3.2RC1 OS: Linux (2.5.66)
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: dubious at 2xtreme dot net
New email:
PHP Version: OS:

 

 [2003-03-28 17:58 UTC] dubious at 2xtreme dot net
Configuring with: 
 
./configure --enable-gd-native-ttf '--enable-sockets' 
'--with-ncurses' '--with-gd' '--enable-ftp' '--with-mysql' 
'--with-dom' '--with-zlib' '--enable-exif' '--with-bz2' 
'--with-curl' '--with-imap=/tmp/temp/imap-2002' 
'--with-imap-ssl=/tmp/temp/imap-2002' '--disable-cgi' 
--with-java=/usr/local/jdk 
 
compile seems fine, but on "make install" it dies at: 
 
Installing PHP SAPI module 
/bin/sh: -c: line 1: syntax error near unexpected token `;' 
/bin/sh: -c: line 1: `; /tmp/temp/php-4.3.2RC1/build/shtool 
mkdir -p -f -m 0755 /usr/local/lib/php; 
/tmp/temp/php-4.3.2RC1/build/shtool install -c -m 0755 
/tmp/temp/php-4.3.2RC1/ext/java/php_java.jar 
/usr/local/lib/php' 
make: *** [install-sapi] Error 2 
 
I've tried this with an earlier Blackdown 1.4.1 as well as Sun's 
most recent 1.4.1_02 release.  If I compile without the java 
option, it seems to install fine (but of course then there's not 
Java support...) 
 
This also seems to occur with 4.3.0. 

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-03-28 18:12 UTC] dubious at 2xtreme dot net
UPDATE - this appears to be a bug specifically related to 
"--disable-cgi" (i.e. I want ONLY the CLI version of php).  If I 
remove the "--disable-cgi" it seems to compile AND install 
fine.
 [2003-04-02 10:29 UTC] sniper@php.net
Please try using this CVS snapshot:

  http://snaps.php.net/php4-STABLE-latest.tar.gz
 
For Windows:
 
  http://snaps.php.net/win32/php4-win32-STABLE-latest.zip


IIRC, this should be fixed now.

 [2003-04-02 19:32 UTC] dubious at 2xtreme dot net
Nope, just tried the snapshot - same problem: 
 
Installing PHP SAPI module 
/bin/sh: -c: line 1: syntax error near unexpected token `;' 
/bin/sh: -c: line 1: `; 
/tmp/temp/php4-STABLE-200304021630/build/shtool mkdir -p 
-f -m 0755 /usr/local/lib/php; 
/tmp/temp/php4-STABLE-200304021630/build/shtool install 
-c -m 0755 
/tmp/temp/php4-STABLE-200304021630/ext/java/php_java.jar 
/usr/local/lib/php' 
make: *** [install-sapi] Error 2 
bash-2.05b#
 [2003-04-03 04:55 UTC] sniper@php.net
Please paste line with 'INSTALL_IT=' in it from your Makefile
here.

 [2003-04-03 17:42 UTC] dubious at 2xtreme dot net
here it is: 
 
INSTALL_IT = ; $(srcdir)/build/shtool mkdir -p -f -m 0755 
$(INSTALL_ROOT)$(libdir); $(INSTALL) -m 0755 
$(srcdir)/ext/java/php_java.jar $(INSTALL_ROOT 
)$(libdir)
 [2003-04-04 11:43 UTC] sniper@php.net
This bug has been fixed in CVS.

In case this was a PHP problem, snapshots of the sources are packaged
every three hours; this change will be in the next snapshot. You can
grab the snapshot at http://snaps.php.net/.
 
In case this was a documentation problem, the fix will show up soon at
http://www.php.net/manual/.

In case this was a PHP.net website problem, the change will show
up on the PHP.net site and on the mirror sites in short time.
 
Thank you for the report, and for helping us make PHP better.


 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Tue Nov 30 02:03:13 2021 UTC